cURL
curl --request GET \
--url https://api.example.com/v2/driver/invoices/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/driver/invoices/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/driver/invoices/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"driver": {
"id": 123,
"first_name": "<string>",
"address_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"email": [
"jsmith@example.com"
],
"driver_id": "<string>",
"last_name": "<string>",
"address_line_2": "<string>",
"contact_number": "<string>"
},
"invoice_number": "<string>",
"amount": "<string>",
"file": "<string>",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Invoices
List Driver Invoices
Retrieve all driver invoices.
GET
/
v2
/
driver
/
invoices
/
cURL
Authorizations
JWTAPIKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
A search term.
Was this page helpful?
⌘I

